package com.bonus.canteen.core.order.deprecated.constants;

public enum OrdBackTypeEnum {
   MERCHANT_BACK(1, "商家退单"),
   CONSUMER_BACK(2, "消费者退单");

   private final Integer key;
   private final String value;

   private OrdBackTypeEnum(Integer key, String value) {
      this.key = key;
      this.value = value;
   }

   public static Integer getKey(String value) {
      OrdBackTypeEnum[] enums = values();
      OrdBackTypeEnum[] var2 = enums;
      int var3 = enums.length;

      for(int var4 = 0; var4 < var3; ++var4) {
         OrdBackTypeEnum temp = var2[var4];
         if (temp.value().equals(value)) {
            return temp.key();
         }
      }

      return null;
   }

   public static String getValue(Integer key) {
      OrdBackTypeEnum[] enums = values();
      OrdBackTypeEnum[] var2 = enums;
      int var3 = enums.length;

      for(int var4 = 0; var4 < var3; ++var4) {
         OrdBackTypeEnum temp = var2[var4];
         if (temp.key().equals(key)) {
            return temp.value();
         }
      }

      return null;
   }

   public Integer key() {
      return this.key;
   }

   public String value() {
      return this.value;
   }

}
